diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/tinymce/themes/advanced/js/anchor.js ./wordpress-3.4/wp-includes/js/tinymce/themes/advanced/js/anchor.js
*** ./wordpress-3.3.2/wp-includes/js/tinymce/themes/advanced/js/anchor.js	2011-04-10 13:36:05.000000000 -0500
--- ./wordpress-3.4/wp-includes/js/tinymce/themes/advanced/js/anchor.js	2012-02-04 16:23:27.000000000 -0600
***************
*** 30,38 ****
  			ed.selection.collapse(1);
  
  		elm = ed.dom.getParent(ed.selection.getNode(), 'A');
! 		if (elm)
  			elm.name = name;
! 		else
  			ed.execCommand('mceInsertContent', 0, ed.dom.createHTML('a', {name : name, 'class' : 'mceItemAnchor'}, ''));
  
  		tinyMCEPopup.close();
--- 30,39 ----
  			ed.selection.collapse(1);
  
  		elm = ed.dom.getParent(ed.selection.getNode(), 'A');
! 		if (elm) {
! 			elm.setAttribute('name', name);
  			elm.name = name;
! 		} else
  			ed.execCommand('mceInsertContent', 0, ed.dom.createHTML('a', {name : name, 'class' : 'mceItemAnchor'}, ''));
  
  		tinyMCEPopup.close();
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/tinymce/themes/advanced/js/charmap.js ./wordpress-3.4/wp-includes/js/tinymce/themes/advanced/js/charmap.js
*** ./wordpress-3.3.2/wp-includes/js/tinymce/themes/advanced/js/charmap.js	2011-04-10 13:36:05.000000000 -0500
--- ./wordpress-3.4/wp-includes/js/tinymce/themes/advanced/js/charmap.js	2012-02-04 16:23:27.000000000 -0600
***************
*** 281,293 ****
  function addKeyboardNavigation(){
  	var tableElm, cells, settings;
  
! 	cells = tinyMCEPopup.dom.select(".charmaplink", "charmapgroup");
  
  	settings ={
  		root: "charmapgroup",
  		items: cells
  	};
! 
  	tinyMCEPopup.editor.windowManager.createInstance('tinymce.ui.KeyboardNavigation', settings, tinyMCEPopup.dom);
  }
  
--- 281,301 ----
  function addKeyboardNavigation(){
  	var tableElm, cells, settings;
  
! 	cells = tinyMCEPopup.dom.select("a.charmaplink", "charmapgroup");
  
  	settings ={
  		root: "charmapgroup",
  		items: cells
  	};
! 	cells[0].tabindex=0;
! 	tinyMCEPopup.dom.addClass(cells[0], "mceFocus");
! 	if (tinymce.isGecko) {
! 		cells[0].focus();		
! 	} else {
! 		setTimeout(function(){
! 			cells[0].focus();
! 		}, 100);
! 	}
  	tinyMCEPopup.editor.windowManager.createInstance('tinymce.ui.KeyboardNavigation', settings, tinyMCEPopup.dom);
  }
  
***************
*** 306,312 ****
  			previewCharFn = 'previewChar(\'' + charmap[i][1].substring(1,charmap[i][1].length) + '\',\'' + charmap[i][0].substring(1,charmap[i][0].length) + '\',\'' + charmap[i][3] + '\');';
  			html += ''
  				+ '<td class="charmap">'
! 				+ '<a class="charmaplink" role="button" onmouseover="'+previewCharFn+'" onfocus="'+previewCharFn+'" href="javascript:void(0)" onclick="insertChar(\'' + charmap[i][1].substring(2,charmap[i][1].length-1) + '\');" onclick="return false;" onmousedown="return false;" title="' + charmap[i][3] + '">'
  				+ charmap[i][1]
  				+ '</a></td>';
  			if ((cols+1) % charsPerRow == 0)
--- 314,320 ----
  			previewCharFn = 'previewChar(\'' + charmap[i][1].substring(1,charmap[i][1].length) + '\',\'' + charmap[i][0].substring(1,charmap[i][0].length) + '\',\'' + charmap[i][3] + '\');';
  			html += ''
  				+ '<td class="charmap">'
! 				+ '<a class="charmaplink" role="button" onmouseover="'+previewCharFn+'" onfocus="'+previewCharFn+'" href="javascript:void(0)" onclick="insertChar(\'' + charmap[i][1].substring(2,charmap[i][1].length-1) + '\');" onclick="return false;" onmousedown="return false;" title="' + charmap[i][3] + ' '+ tinyMCEPopup.editor.translate("advanced_dlg.charmap_usage")+'">'
  				+ charmap[i][1]
  				+ '</a></td>';
  			if ((cols+1) % charsPerRow == 0)
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/tinymce/themes/advanced/js/color_picker.js ./wordpress-3.4/wp-includes/js/tinymce/themes/advanced/js/color_picker.js
*** ./wordpress-3.3.2/wp-includes/js/tinymce/themes/advanced/js/color_picker.js	2011-04-10 13:36:05.000000000 -0500
--- ./wordpress-3.4/wp-includes/js/tinymce/themes/advanced/js/color_picker.js	2012-02-04 16:23:27.000000000 -0600
***************
*** 1,6 ****
  tinyMCEPopup.requireLangPack();
  
! var detail = 50, strhex = "0123456789ABCDEF", i, isMouseDown = false, isMouseOver = false;
  
  var colors = [
  	"#000000","#000033","#000066","#000099","#0000cc","#0000ff","#330000","#330033",
--- 1,6 ----
  tinyMCEPopup.requireLangPack();
  
! var detail = 50, strhex = "0123456789abcdef", i, isMouseDown = false, isMouseOver = false;
  
  var colors = [
  	"#000000","#000033","#000066","#000099","#0000cc","#0000ff","#330000","#330033",
***************
*** 266,275 ****
  }
  
  function computeColor(e) {
! 	var x, y, partWidth, partDetail, imHeight, r, g, b, coef, i, finalCoef, finalR, finalG, finalB;
  
! 	x = e.offsetX ? e.offsetX : (e.target ? e.clientX - e.target.x : 0);
! 	y = e.offsetY ? e.offsetY : (e.target ? e.clientY - e.target.y : 0);
  
  	partWidth = document.getElementById('colors').width / 6;
  	partDetail = detail / 2;
--- 266,275 ----
  }
  
  function computeColor(e) {
! 	var x, y, partWidth, partDetail, imHeight, r, g, b, coef, i, finalCoef, finalR, finalG, finalB, pos = tinyMCEPopup.dom.getPos(e.target);
  
! 	x = e.offsetX ? e.offsetX : (e.target ? e.clientX - pos.x : 0);
! 	y = e.offsetY ? e.offsetY : (e.target ? e.clientY - pos.y : 0);
  
  	partWidth = document.getElementById('colors').width / 6;
  	partDetail = detail / 2;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/wplink.dev.js ./wordpress-3.4/wp-includes/js/wplink.dev.js
*** ./wordpress-3.3.2/wp-includes/js/wplink.dev.js	2011-11-28 10:37:46.000000000 -0600
--- ./wordpress-3.4/wp-includes/js/wplink.dev.js	2012-04-10 19:20:42.000000000 -0500
***************
*** 160,166 ****
  		},
  
  		htmlUpdate : function() {
! 			var attrs, html, start, end, cursor,
  				textarea = wpLink.textarea;
  
  			if ( ! textarea )
--- 160,166 ----
  		},
  
  		htmlUpdate : function() {
! 			var attrs, html, begin, end, cursor,
  				textarea = wpLink.textarea;
  
  			if ( ! textarea )
***************
*** 183,217 ****
  			html += '>';
  
  			// Insert HTML
! 			// W3C
! 			if ( typeof textarea.selectionStart !== 'undefined' ) {
! 				start       = textarea.selectionStart;
  				end         = textarea.selectionEnd;
! 				selection   = textarea.value.substring( start, end );
  				html        = html + selection + '</a>';
! 				cursor      = start + html.length;
  
  				// If no next is selected, place the cursor inside the closing tag.
! 				if ( start == end )
  					cursor -= '</a>'.length;
  
! 				textarea.value = textarea.value.substring( 0, start )
  				               + html
  				               + textarea.value.substring( end, textarea.value.length );
  
  				// Update cursor position
  				textarea.selectionStart = textarea.selectionEnd = cursor;
- 
- 			// IE
- 			// Note: If no text is selected, IE will not place the cursor
- 			//       inside the closing tag.
- 			} else if ( document.selection && wpLink.range ) {
- 				textarea.focus();
- 				wpLink.range.text = html + wpLink.range.text + '</a>';
- 				wpLink.range.moveToBookmark( wpLink.range.getBookmark() );
- 				wpLink.range.select();
- 
- 				wpLink.range = null;
  			}
  
  			wpLink.close();
--- 183,216 ----
  			html += '>';
  
  			// Insert HTML
! 			if ( document.selection && wpLink.range ) {
! 				// IE
! 				// Note: If no text is selected, IE will not place the cursor
! 				//       inside the closing tag.
! 				textarea.focus();
! 				wpLink.range.text = html + wpLink.range.text + '</a>';
! 				wpLink.range.moveToBookmark( wpLink.range.getBookmark() );
! 				wpLink.range.select();
! 
! 				wpLink.range = null;
! 			} else if ( typeof textarea.selectionStart !== 'undefined' ) {
! 				// W3C
! 				begin       = textarea.selectionStart;
  				end         = textarea.selectionEnd;
! 				selection   = textarea.value.substring( begin, end );
  				html        = html + selection + '</a>';
! 				cursor      = begin + html.length;
  
  				// If no next is selected, place the cursor inside the closing tag.
! 				if ( begin == end )
  					cursor -= '</a>'.length;
  
! 				textarea.value = textarea.value.substring( 0, begin )
  				               + html
  				               + textarea.value.substring( end, textarea.value.length );
  
  				// Update cursor position
  				textarea.selectionStart = textarea.selectionEnd = cursor;
  			}
  
  			wpLink.close();
***************
*** 243,249 ****
  
  			if (e == null) {
  				ed.getDoc().execCommand("unlink", false, null);
! 				tinyMCEPopup.execCommand("CreateLink", false, "#mce_temp_url#", {skip_undo : 1});
  
  				tinymce.each(ed.dom.select("a"), function(n) {
  					if (ed.dom.getAttrib(n, 'href') == '#mce_temp_url#') {
--- 242,248 ----
  
  			if (e == null) {
  				ed.getDoc().execCommand("unlink", false, null);
! 				tinyMCEPopup.execCommand("mceInsertLink", false, "#mce_temp_url#", {skip_undo : 1});
  
  				tinymce.each(ed.dom.select("a"), function(n) {
  					if (ed.dom.getAttrib(n, 'href') == '#mce_temp_url#') {
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/wp-pointer.dev.js ./wordpress-3.4/wp-includes/js/wp-pointer.dev.js
*** ./wordpress-3.3.2/wp-includes/js/wp-pointer.dev.js	2011-11-29 13:43:24.000000000 -0600
--- ./wordpress-3.4/wp-includes/js/wp-pointer.dev.js	2012-01-08 16:53:05.000000000 -0600
***************
*** 156,162 ****
  				left: 0,
  				zIndex: zindex++ // Increment the z-index so that it shows above other opened pointers.
  			}).show().position($.extend({
! 				of: this.element
  			}, position )); // the object comes before this.options.position so the user can override position.of.
  
  			this.repoint();
--- 155,162 ----
  				left: 0,
  				zIndex: zindex++ // Increment the z-index so that it shows above other opened pointers.
  			}).show().position($.extend({
! 				of: this.element,
! 				collision: 'fit none'
  			}, position )); // the object comes before this.options.position so the user can override position.of.
  
  			this.repoint();
